/* lw-support/src/lib/Exceptions/HTTP.cpp
 *
 *  (c)2005, Laurence Withers. Released under the GNU GPL. See file
 *  COPYING for more information / terms of license.
*/

namespace lw {



std::wstring HTTPMalformed::format(const std::wstring& msg)
{
    std::wostringstream o;
    o << L"Error parsing HTTP header fields: " << msg << L".";
    return o.str();
}



HTTPMalformed::HTTPMalformed(const std::wstring& msg)
    : Exception(format(msg))
{
    chain(L"while parsing HTTP header fields");
}



}
