/* lw-support/src/lib/ForwardDeclare.h
 *
 *  (c)2005, Laurence Withers. Released under the GNU GPL. See file
 *  COPYING for more information / terms of license.
*/

// This file simply contains forward declarations of all LW Support
// classes, to facilitate header ordering, etc.



/// This namespace holds the LW Support core classes.
namespace lw {



class BadDate;
class BadSourceChar;
class BadString;
class BadTime;
class BadTimeOverflow;
class BadTimeValue;
class CannotConvertChar;
class CompletionCallback;
class CompletionData;
class CompletionList;
class CompletionNotifier;
class CompletionTask;
class Date;
class DateTime;
class DayTime;
class DnsError;
class ElapsedTime;
class EndOfFile;
class EndPipe;
class EventCallbackIO;
class EventCallbackNetServer;
class EventCallbackTimer;
class EventManager;
class Exception;
class FIFO;
class FIFOException;
class FIFOOutOfMemory;
class FIFOOverflow;
class FIFOUnderflow;
class FileNotFound;
class HTTPHeaderParser;
class HTTPMalformed;
class HTTPRequestParser;
class HTTPResponseParser;
class IODevice;
class IOException;
class IOFilter;
class IOInterface;
class IOModeError;
class IOPosixDevice;
class IOSerialPort;
class IOTimeout;
class IOWriteTask;
class Key;
class Log;
class LoggingSMTPClient;
class Mutex;
class MutexHolder;
class MutexPadlock;
class MutexPadlockRecursive;
class NetAddress;
class NetAddressIPv4;
class NetAddressIPv6;
class NetClient;
class NetClientTCP;
class NetServer;
class NetServerCallback;
class NetServerTCP;
class NullPointer;
class NumericOverflow;
class ParseError;
class Pipe;
class ProgramException;
class SMTPClient;
class Semaphore;
class StopWatch;
class SystemError;
class TaskAlreadyCompleted;
class Thread;
class Uncopyable;



}
