/* lw-support/src/lib/IO/Filter.cpp
 *
 *  (c)2005, Laurence Withers. Released under the GNU GPL. See file
 *  COPYING for more information / terms of license.
*/

namespace lw {



IOFilter::IOFilter(IOInterface* ioDev)
    : ioDev(ioDev)
{
}



void IOFilter::sync()
{
    try {
        flush();
        ioDev->sync();
    }
    catch(Exception& e) {
        e.chain(L"IOFilter::sync()");
        throw;
    }
}



}
